## output-selector output-selector |

## Properties

GstPad * | active-pad | Read / Write
GstOutputSelectorPadNegotiationMode | pad-negotiation-mode | Read / Write
gboolean | resend-latest | Read / Write

## Types and Values

struct | GstOutputSelector
enum | GstOutputSelectorPadNegotiationMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstOutputSelector

## Description

Direct input stream to one out of N output pads.

## Synopsis

### Element Information

plugin | coreelements
author | Stefan Kost <stefan.kost@nokia.com>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src_%u
direction | source
presence | request
details | ANY

## Functions

## Types and Values

### struct GstOutputSelector

    struct GstOutputSelector;

### enum GstOutputSelectorPadNegotiationMode

To what output pad the input stream should be directed.

#### Members

GST_OUTPUT_SELECTOR_PAD_NEGOTIATION_MODE_NONE | don't propagate the input stream. |
GST_OUTPUT_SELECTOR_PAD_NEGOTIATION_MODE_ALL | direct input stream to all output pads. |
GST_OUTPUT_SELECTOR_PAD_NEGOTIATION_MODE_ACTIVE | direct input stream to the currently active output pad as described by the “active-pad” property. |

## Property Details

### The `“active-pad”` property

      “active-pad”               GstPad *

Currently active src pad.

Flags: Read / Write

### The `“pad-negotiation-mode”` property

      “pad-negotiation-mode”     GstOutputSelectorPadNegotiationMode

The mode to be used for pad negotiation.

Flags: Read / Write

Default value: All

### The `“resend-latest”` property

      “resend-latest”            gboolean

Resend latest buffer after a switch to a new pad.

Flags: Read / Write

Default value: FALSE

## See Also

GstOutputSelector, GstInputSelector